function createInfoArray(){
	var componentsInfo = [];
	
	componentsInfo['l2x-controller'] = {title:'Controller Status Indicators',image:'../images/component-l2x-controller.png',width:253,height:91,
		indicators:[{id:'run', name:'RUN', left:84, top:13},{id:'force', name:'FORCE', left:84, top:37},{id:'batt', name:'BATT', left:84, top:60},{id:'io', name:'I/O', left:209, top:13},{id:'ok', name:'OK', left:209, top:37}],
		map:[
			{x1:7, y1:5, x2:124, y2:29, id:'run', name:'RUN'},
			{x1:7, y1:30, x2:124, y2:53, id:'force', name:'FORCE'},
			{x1:7, y1:54, x2:124, y2:77, id:'batt', name:'BATT'},
			{x1:126, y1:5, x2:246, y2:30, id:'io', name:'I/O'},
			{x1:126, y1:31, x2:246, y2:54, id:'ok', name:'OK'}
			]};
	componentsInfo['l2x-module'] = {title:'Module Status Indicators',image:'../images/component-l2x-module.png',width:268,height:226,
		indicators:[{id:'ms', name:'MS', left:64, top:204}],
		map:[
			{x1:44, y1:184, x2:106, y2:225, id:'ms', name:'MS'}
		]};
	componentsInfo['l2x-link'] = {title:'Link Status Indicator',image:'../images/component-l2x-link.png',width:148,height:63,
		indicators:[{id:'lnk', name:'LNK', left:20, top:21, vertical:true}],
		map:[
			{x1:1, y1:5, x2:45, y2:65, id:'lnk', name:'LNK'}
		]};
	componentsInfo['l2x-network'] = {title:'Network Status Indicator',image:'../images/component-l2x-network.png',width:148,height:63,
		indicators:[{id:'ns', name:'NS', left:20, top:11, vertical:true}],
		map:[
			{x1:1, y1:1, x2:45, y2:50, id:'ns', name:'NS'}
		]};
	componentsInfo['l2x-rs232'] = {title:'RS232 Serial Port Status Indicators',image:'../images/component-l2x-rs232.png',width:285,height:201,
		indicators:[{id:'ch0', name:'CH0', left:192, top:147},{id:'dch0', name:'DCH0', left:242, top:17}],
		map:[
			{x1:172, y1:127, x2:224, y2:188, id:'ch0', name:'CH0'},
			{x1:222, y1:5, x2:284, y2:40, id:'dch0', name:'DCH0'}
		]};
	
	componentsInfo['l3x-controller'] = {title:'Controller Status Indicators',image:'../images/component-l3x-controller.png',width:253,height:91,
		indicators:[{id:'run', name:'RUN', left:84, top:13},{id:'force', name:'FORCE', left:84, top:37},{id:'batt', name:'BATT', left:84, top:60},{id:'io', name:'I/O', left:209, top:13},{id:'ok', name:'OK', left:209, top:37}],
		map:[
			{x1:7, y1:5, x2:124, y2:29, id:'run', name:'RUN'},
			{x1:7, y1:30, x2:124, y2:53, id:'force', name:'FORCE'},
			{x1:7, y1:54, x2:124, y2:77, id:'batt', name:'BATT'},
			{x1:126, y1:5, x2:246, y2:30, id:'io', name:'I/O'},
			{x1:126, y1:31, x2:246, y2:54, id:'ok', name:'OK'}
			]};
	componentsInfo['l3x-module'] = {title:'Module Status Indicator',image:'../images/component-l3x-module.png',width:254,height:214,
		indicators:[{id:'ms', name:'MS', left:59, top:194}],
		map:[
			{x1:5, y1:142, x2:102, y2:213, id:'ms', name:'MS'}
		]};
	componentsInfo['l3x-ethernet'] = {title:'Ethernet/IP Status Indicators',image:'../images/component-l3x-ethernet.png',width:180,height:233,
		indicators:[{id:'lnk', name:'LNK', left:65, top:48},{id:'ns', name:'NS', left:102, top:10}],
		map:[
			{x1:4, y1:33, x2:115, y2:70, id:'lnk', name:'LNK'},
			{x1:90, y1:1, x2:177, y2:32, id:'ns', name:'NS'}
		]};
	componentsInfo['l3x-cf'] = {title:'CompactFlash Status Indicator',image:'../images/component-l3x-cf.png',width:133,height:133,
		indicators:[{id:'cf', name:'CF', left:60, top:28}],
		map:[
			{x1:13, y1:3, x2:130, y2:64, id:'cf', name:'CF'}
		]};
	componentsInfo['l3x-rs232'] = {title:'RS232 Serial Port Status Indicators',image:'../images/component-l3x-rs232.png',width:301,height:176,
		indicators:[{id:'ch0', name:'CH0', left:265, top:150},{id:'dch0', name:'DCH0', left:258, top:18}],
		map:[
			{x1:183, y1:133, x2:300, y2:174, id:'ch0', name:'CH0'},
			{x1:157, y1:1, x2:300, y2:42, id:'dch0', name:'DCH0'}
		]};
	
	componentsInfo['l4x-controller'] = {title:'Controller Status Indicators',image:'../images/component-l4x-controller.png',width:288,height:122,
		indicators:[{id:'run', name:'RUN', left:13, top:11},{id:'force', name:'FORCE', left:13, top:38},{id:'mem', name:'MEM SAVE', left:13, top:65},
		            {id:'io', name:'I/O', left:107, top:11},{id:'ok', name:'OK', left:107, top:99},
		            {id:'pwr', name:'PWR', left:204, top:11},{id:'iopwr', name:'I/O PWR', left:204, top:65}],
		map:[
			{x1:3, y1:2, x2:85, y2:29, id:'run', name:'RUN'},
			{x1:3, y1:30, x2:85, y2:56, id:'force', name:'FORCE'},
			{x1:3, y1:57, x2:85, y2:90, id:'mem', name:'MEM SAVE'},
			{x1:92, y1:2, x2:185, y2:30, id:'io', name:'I/O'},
			{x1:96, y1:90, x2:183, y2:119, id:'ok', name:'OK'},
			{x1:196, y1:4, x2:285, y2:47, id:'pwr', name:'PWR'},
			{x1:196, y1:57, x2:283, y2:99, id:'iopwr', name:'IO PWR'}
			]};
	componentsInfo['l4x-cf'] = {title:'CompactFlash Status Indicator',image:'../images/component-l4x-cf.png',width:108,height:43,
		indicators:[{id:'cf', name:'CF', left:17, top:16}],
		map:[
			{x1:1, y1:1, x2:106, y2:41, id:'cf', name:'CF'}
		]};
	componentsInfo['l4x-rs232'] = {title:'RS232 Serial Port Status Indicators',image:'../images/component-l4x-rs232.png',width:105,height:76,
		indicators:[{id:'ch0', name:'CH0', left:16, top:16},{id:'dch0', name:'DCH0', left:16, top:49}],
		map:[
			{x1:4, y1:3, x2:100, y2:37, id:'ch0', name:'CH0'},
			{x1:4, y1:38, x2:100, y2:72, id:'dch0', name:'DCH0'}
		]};

	return componentsInfo;
}

function setupComponentsManager() {

    try {
        var myNamespace = {};
		
		myNamespace.cInfo = null;

        myNamespace.getCompsInfo = function() {
            return myNamespace.cInfo;
        };

        myNamespace.setCompsInfo = function(arr) {
            myNamespace.cInfo=arr;
        };

        Ti.App.ComponentsManagerNamespace = myNamespace;
        
        Ti.App.ComponentsManagerNamespace.setCompsInfo(createInfoArray());

    }
    catch(ex) {
        Ti.API.info("Managed error at setupComponentsManager " + ex);
    }
}