Titanium.include('common/common_funcs.js');

if(!isAndroid()) {
    var win = Titanium.UI.currentWindow;
}


var device = Ti.UI.currentWindow.device;  
Ti.API.info('device: ' + device);

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create Home tab and root window
//

var win1 = Titanium.UI.createWindow({  
   	url:'home.js',
   	navBarHidden:true,
   	tabBarHidden:true,
    backgroundColor:'#fff'
});

var tab1 = Titanium.UI.createTab({  
    icon:'../images/tab-home.png',
    title:'Home',    
    window:win1
});


//
// create Indicators tab and root window
//
var win2 = Titanium.UI.createWindow({  
   	url:'device.js',
    title:'Select Component',
    backgroundColor:'#fff',
    device:device
});

var tab2 = Titanium.UI.createTab({  
    icon:'../images/tab-indicators.png',
    title:'Indicators',
    window:win2
});


//
// create Status tab and root window
//
var win3 = Titanium.UI.createWindow({  
   	url:'status.js',
   	title:'Status Summary',
    backgroundColor:'#fff',
    device:device
});

var tab3 = Titanium.UI.createTab({  
    icon:'../images/tab-status.png',
    title:'Status',
    window:win3
});


//
// create About tab and root window
//
var win4 = Titanium.UI.createWindow({  
   	url:'about.js',
   	title:'About',
    backgroundColor:'#fff'
});

var tab4 = Titanium.UI.createTab({  
    icon:'../images/tab-about.png',
    title:'About',
    window:win4
});



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  
tabGroup.addTab(tab3);  
tabGroup.addTab(tab4);


if(!isAndroid()) {
	win.add(tabGroup);
}

tabGroup.setActiveTab(1);

// open tab group
tabGroup.open();


tabGroup.addEventListener('focus', function(e)
{
    //Ti.API.debug('tab changed to ' + tabGroup.activeTab);
	
	if (isAndroid()) {
    	Ti.API.debug('tab changed to ' + e.index + ' old index ' + e.previousIndex);
	    if (e.index==2) {
	    	Ti.API.info('fire event focus');
	        win3.fireEvent('focus', e);
	    }
	    if (e.previousIndex==2) {
	    	Ti.API.info('fire event blur');
	        win3.fireEvent('blur', e);
	    }
	}
});

/*
win1.addEventListener('android:back', function() {
    Ti.API.info('android back 1');
});


Titanium.UI.currentWindow.addEventListener('android:back', function() {
    Ti.API.info('android back Titanium.UI.currentWindow');
});


tabGroup.addEventListener('android:back', function() {
    Ti.API.info('android back tabGroup');
});
*/

